'use strict';

module.exports = () => {
  const config = (exports = {});

  config.logger = {
    level: 'DEBUG',
    consoleLevel: 'DEBUG',
  };

  config.wxapi = {
    appid: 'wxdf3ed83c095be97a', // 微信公众号APPID
    appSecret: 'ceb7f0986c76f227ae3049934c313f22',
    baseUrl: 'http://wx.cc-lotus.info', // 微信网关地址
    mchid: '1505364491', // 商户ID
    mchkey: '1qaz2wsx3edc4rfv5tgb6yhn7ujm8ik9', // 商户key
    wxurl: 'http://broadcast.waityou24.cn/api/visit/wxpayback',
    payurl: 'https://api.mch.weixin.qq.com/pay/unifiedorder',
  };

  // 服务器发布路径
  config.baseUrl = 'http://broadcast.waityou24.cn';
  // 认证回调地址
  config.authUrl = '/api/visit/auth';

  // mq config
  config.amqp = {
    client: {
      hostname: '127.0.0.1',
      username: 'visit',
      password: 'visit',
      vhost: 'visit',
    },
    app: true,
    agent: true,
  };

  // redis config
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: 123456,
      db: 0,
    },
  };

  config.mongoose = {
    url: 'mongodb://localhost:27017/visit',
    options: {
      // user: 'admin',
      // pass: 'admin',
      // authSource: 'admin',
      // useNewUrlParser: true,
      // useCreateIndex: true,
      // useUnifiedTopology: true,
    },
  };

  return config;
};
