'use strict';

module.exports = () => {
  const config = exports = {};

  config.logger = {
    // level: 'DEBUG',
    // consoleLevel: 'DEBUG',
  };

  // redis config
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: 123456,
      db: 0,
    },
  };

  config.amqp = {
    client: {
      hostname: '127.0.0.1',
      username: 'visit',
      password: 'visit',
      vhost: 'visit',
    },
    app: true,
    agent: true,
  };

  // mongoose config
  config.mongoose = {
    url: 'mongodb://127.0.0.1:27017/visit',
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  return config;
};
