module.exports = {
  create: {
    requestBody: [
      'name',
      '!mobile',
      '!passwd',
      'hosname',
      'deptname',
      'title',
      'post',
      'content',
      'openid',
      'remark'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'name',
      '!mobile',
      'passwd',
      'hosname',
      'deptname',
      'title',
      'post',
      'content',
      'openid',
      'remark'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        name: 'name',
        mobile: 'mobile',
        openid: 'openid'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
